"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = void 0;
const command_1 = require("../command");
const projectUtils_1 = require("../projectUtils");
const requireInteractive_1 = require("../requireInteractive");
const apphosting_1 = require("../init/features/apphosting");
const apphosting_2 = require("../gcp/apphosting");
exports.command = new command_1.Command("apphosting:backends:create")
    .description("Create a backend in a Firebase project")
    .option("-l, --location <location>", "Specify the region of the backend", "")
    .before(apphosting_2.ensureApiEnabled)
    .before(requireInteractive_1.default)
    .action(async (options) => {
    const projectId = (0, projectUtils_1.needProjectId)(options);
    await (0, apphosting_1.doSetup)(options, projectId);
});
