"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.command = void 0;
const apphosting = require("../gcp/apphosting");
const logger_1 = require("../logger");
const command_1 = require("../command");
const projectUtils_1 = require("../projectUtils");
exports.command = new command_1.Command("apphosting:builds:get <backendId> <buildId>")
    .description("Create a build for an App Hosting backend")
    .option("-l, --location <location>", "Specify the region of the backend", "us-central1")
    .before(apphosting.ensureApiEnabled)
    .action(async (backendId, buildId, options) => {
    const projectId = (0, projectUtils_1.needProjectId)(options);
    const location = options.location;
    const build = await apphosting.getBuild(projectId, location, backendId, buildId);
    logger_1.logger.info(JSON.stringify(build, null, 2));
    return build;
});
